What's new in at-spi-1.28.1:

* Bugfixes: #578334. Fixed the crash problem.
* Translation update.

What's new in at-spi-1.28.0:

* Bugfixes: #594754.
* Translation update.

What's new in at-spi-1.27.92:

* Bugfixes: #592981.
* Translation update.

What's new in at-spi-1.27.91:

* Bugfixes: #489828, #584467, #578334.
* Translation update.

What"s new in at-spi-1.26.0:

* Translation update: ml, gl, ta, as, hi, bn_IN, te.

What's new in at-spi-1.25.92:

* Bugfixes: #570752, #570754, #572188.

What's new in at-spi-1.25.5:

* Bugfixes: #566999, #566998, #567706.

What's new in at-spi-1.25.4:

* Bugfixes: #563806, #563943, #564880.

What's new in at-spi-1.25.2:

* Bugfixes: #540183, #560563, #553306, #561408, #446574, #532907, #554953.
* Translation update.

What's new in at-spi-1.25.1:

* Bugfixes: #552469, #547943, #525519, #527585.

What's new in at-spi-1.24.0:

* Bugfixes: #535827.
* Translation update.

What's new in at-spi-1.23.92:

* Bugfixes: #551334.

What's new in at-spi-1.23.91:

* Bugfixes: #548559, #350552, #547875.
* Translation update from Seán de Búrca, Hendrik Richter, Goran Rakic,
  Runa Bhattacharjee, Djihed Afifi.

What's new in at-spi-1.23.6:

* Bugfixes: #436579, #545849.

What's new in at-spi-1.23.5:

* Bugfixes: #541119, #435833, #524806, #542217.

What's new in at-spi-1.23.3:

* Bugfixes: #532887, #498668, #431053, #451553, #520490, #521667, #522356.

What's new in at-spi-1.22.0:

* Translation update.
* Bugfixes: #496232.

What's new in at-spi-1.21.92:

* bugfixes: #508147, #517761, #517250, #512702.

What's new in at-spi-1.21.5:

* Bugfixes: #474480, #503091.

What's new in at-spi-1.21.3:

* Bugfixes: #446277, #493547, #326516, #491805, #492469, #490202.

What's new in at-spi-1.21.1:

* Bugfixes: #490205, #490202, #489273.
* Add Willie Walker and Eitan Isaacson to maintainers.

What's new in at-spi-1.20.0:

* Bugfixes: #462412, #467612, #474796, #467366, #472301.

What's new in at-spi-1.19.5:

* Bugfixes: #446277, #450897, #433802.

What's new in at-spi-1.19.3:

* We add pyatspi into at-spi. pyatspi is an unified python binding.
* Bugfixes: #439057, #439436.

What's new in at-spi-1.19.1:

* Bugfixes: #430938, #427836, #428007, #405774, #407600, #329454.

What's new in at-spi-1.18.0:

* Release 1.18.0 for GNOME 2.18.0.

What's new in at-spi-1.17.2:

* Bugfixes: #412286.

What's new in at-spi-1.17.1:

* Bugfixes: #404584, #401299, #375319. Fixes some build warnings.

What's new in at-spi-1.17.0:

* Bugfixes: #404592, #400709.

What's new in at-spi-1.7.16:

* Bugfixes: #329454, #393010.

What's new in at-spi-1.7.15:

* Bugfixes: #372988, #381670, #387960, #364839.

What's new in at-spi-1.7.14:

* We now get te value of display using the env var DISPLAY rather than
  using the gdk_display_get_default to avoid dependancy of gdk. Also, 
  once the registry is started, we set the ior of the registry as 
  an X property.

* Bugfixes: #361386, #369377, #382271, #372172, #163132, #377079, #352444

What's new in at-spi-1.7.12:

* Modified parameter names in some IDL to avoid class name collisions
  (Gary Cramblitt).  This is a bincompat change which improves portability
  of the IDL.

* Bugfixes: #353226, #356688 (Neo Liu), #350552 (Ginn Chen), #350958.

What's new in at-spi-1.7.11:

* Docs fixes.

* Fixed getAttributes APIs.

* Export Hyperlink interface for AtkHyperlinkImpl peers.

* Aggregate Document interface.

What's new in at-spi-1.7.10:

* New method Selection::deselectChild.  RFE #326535.

What's new in at-spi-1.7.9:

* I18n uses po/LINGUAS now.

* Table enhancement: new method Table::getRowColumnExtentsAtIndex
  RFE #326536.  Assistance from Ariel Rios.

* Text enhancement: Text::getAttributeRun, Text::getDefaultAttributeSet
  RFE #326540.  Assistance from Ariel Rios.

* New interface, Document.  RFE #326520.

* New roles, LINK, REDUNDANT_OBJECT, INPUT_METHOD_WINDOW, FORM.

* Meaningful implementation and bridges for StreamableContent. 
  RFE #326532.

* Added STATE_VISITED, and relations DESCRIBED_BY, DESCRIPTION_FOR, 
  and PARENT_WINDOW_OF.

What's new in at-spi-1.7.4:

* Fixed dist to include Accessibility_Selector.idl (missing from dist though
  in cvs since 1.7.3).

* Bugfixes to EventDetails event support, and fixed event emission for 
  implementors of SPI_REMOTE_OBJECT.

What's new in at-spi-1.7.0 through 1.7.3:

* Added idl/Accessibility_Selector.idl to the repository (missing in 1.7.0
        through 1.7.2, added in 1.7.3)

* DOCS:
  
  All the IDL is now documented with doxygen-compatible docs.
  Just run 'doxygen oxyfile' in the IDL directory.  (This will
  be automated in a future version).

* NEW API:

  idl: 
	Accessibility::Accessible:getAttributes (name/value pair annotation
	for all objects)
	Accessibility::Accessible:getApplication (retrieves ref to host app)
	Accessibility::Component:getAlpha (get transparency/opacity value of component)
	Accessibility::Image:getLocale (get POSIX locale for image and
	imagedesc)
	Accessibility::Text:getAttributeValue (retrieve a single named
	attribute value)
	Accessibility::Relation:RELATION_PARENT_WINDOW_OF
	Accessibility::Role:ROLE_ENTRY, ROLE_CHART, ROLE_CAPTION,
	ROLE_DOCUMENT_FRAME, ROLE_HEADING, ROLE_PAGE, ROLE_SECTION (New roles
	for complex docs and forms.)
	Accessibility::State:STATE_REQUIRED, STATE_TRUNCATED, STATE_ANIMATED, 
	STATE_INVALID_ENTRY, STATE_SUPPORTS_AUTOCOMPLETION,
	STATE_SELECTABLE_TEXT, STATE_IS_DEFAULT (New states, for complex forms)
	Accessibility::EventDetails (new, more detailed info marshalled with events)

  cspi:
  	(AccessibleEvent_getSourceName):
	(AccessibleEvent_getSourceRole):
	(AccessibleEvent_getSourceApplication):
	(AccessibleEvent_getSourceDetails):
	New methods for interrogating/demarshalling
	event details i.e. source's accessible name, role, 
	and host app.
	(Accessible_getAttributes): New, retrieve annotations/attributes 
	on objects.
	(Accessible_getHostApplication): New, retrieve enclosing Application
	instance for an object.
	(AccessibleImage_getImageLocale): New, retrieve Locale info for an
  	image.
	(AccessibleComponent_getAlpha): New, retrieve alpha value for 
	an AccessibleComponent (see discussion in idl section above).

* BUGFIXES:
	Some compiler fixes from Kjartan Marass.
	Some thread-related fixes from Michael Meeks.
	Don't allow non-preemptive listeners to pre-empt events! (Bill Haneman).

What's new in at-spi-1.6.5:

* Fixed some discrepancies in event listener deregistration, improves
on-the-fly deregistration of event listeners.  Fixed some tests.

* Fixed brokenness in 'make check.'

What's new in at-spi-1.6.4:

* Fixed XEVIE detection and configuration on XOrg version 6.8.2.

* Added locale 'rw' (Steve Murphy)

* Tweaked event-listener-test program.

* Leakfixes, from billh and Kjartan Marass.
 
What's new in at-spi-1.6.3: 

* bugfix for #165129

* Added locale 'xh' (Adi Attar)

What's new in at-spi-1.6.2: 

* fixes for problems at logout time (hangs, crashes)

* bugfixes for #160862, #152147.

* minor enhancements to test login-helper-server-test.

(Padraig O'Briain)

What's new in at-spi-1.6.1: 

* LoginHelper API docs improved.

* fixed bug which caused problems if an
  app which loaded atk-bridge forks, and one fork exits.
  (Padraig O'Briain).

* New language: Galician (gl), Jesus Bravo Alvarez.

* Ansi build fixes (Kjartan Maraas).

What's new in at-spi-1.6.0: 

Nothing.

What's new in at-spi-1.5.4: 

* Registration failure at SPI_init is now detected and
  an error code is returned to the caller (bug #147648).

* We now use polling as our default for detecting mouse
  button changes (this was formerly our fallback method);
  this prevents conflict with Xstroke.
  [a better long-term fix requires the Xevie extension]

* We now register on a per-DISPLAY, but not per-SCREEN, basis.
  This fixes several issues, see bugs #149962, #136986, #144086.

* New languages in configure.in:
  bs (Christian Rose)
  nb (Kjartan Maraas)  

============

What's new in at-spi-1.5.3: 

* New role EMBEDDED (bug #144415).

* Added object:bounds-changed event, for detecting when the 
  component bounds of an object have changed onscreen.

==============

What's new in at-spi-1.5.2: 

* Added Accessibility_LoginHelper interface, and
  LoginHelper GType.  Also added client and server tests
  for this interface.  The purpose is to identify services
  (typically, assistive technologies) which need access to 
  system or device services (keyboard, audio, serial ports,
  posting windows, etc.) during login or re-login/authentication.

* fixed make distcheck.

* Added a check in cspi_object_unref, which should help in detecting
  refcount bugs in clients (Padraig O'Briain).

* New languages:
  Walloon (Pablo Saratxaga)
  Bulgarian (Alexander Shopov)

What's new in at-spi-1.5.1: 

* Allow synthesis of keysyms that aren't in the current X keymap.

* languages: Gujarati (Guntupalli Karunakar), Canadian English
  (Alexander Winston)

* Added omitted declarations for already-existing methods
	AccessibleTable_addRowSelection(),
	AccessibleTable_addColumnSelection(),
	AccessibleTable_removeRowSelection(),
	AccessibleTable_removeColumnSelection().

* bug fixes: 136660, 120659 (partial), 132237, 134332.

==========

What's new in at-spi-1.4.0: [GNOME 2.6.0 release]

* build improvements from Laszlo Peter.
* en_GB added to ALL_LINGUAS.

=======

What's new in at-spi-1.3.16: [GNOME 2.6 RC1 release]

* Fix for bug #134036, which could steal keystrokes from applications
  if at-spi registry failed.

* Build fixes, added .pc.in files (from Laszlo Peter).

======

This is the gnome-2.6 beta release of at-spi.
What's new in at-spi-1.3.15:

* translations:
	Amanpreet Singh Alam (pa)
	Bojan Suzic (sr@ije)


What's new in at-spi-1.3.14:

* reduced debug output in normal usage.  Don't PRIT_LEAKS
  unless DEBUG_OBJECTS is #defined.  Reduces SEGVs when reporting
  on noncritical refcount issues.

What's new in at-spi-1.3.13:

* Build improvements: Requires automake-1.7, and calls GTK_DOC_CHECK.
  (Padraig O'Briain, Matthias Clasen, some from Tomas Kloczko)

* bugfixes (bad g_free, and a null string issue that caused SEGV on
  Solaris when running sample programs).


What's new in at-spi-1.3.11:

* Fix for docs bug #129728 (Sebastien Bacher).

* Fix for bug #129479, allows distinction between
  multiple DISPLAY instances of at-spi registry.

* Fix for #124837, which could cause 'hang' interactions
  between desktop and clients such as gnopernicus.

* Fixes for NUMLOCK mask behavior, bug #129103.

* Greatly improved key synthesis for non-Latin characters.
  We can now synthesize any KeySym which is defined in the current
  X keymap. (bug #128824).  Thanks to Marcus G Kuhn for
  the public-domain code borrowed here.

* Fixes for: 128912.

* new languages: 
  fa (Roozber Pournader), 
  ar (Arafat Medini).
  id (Ahmad Riza H Nst)


What's new in at-spi-1.3.9:

* New api:  AccessibleApplication_getLocale (app, type),
  returns a POSIX locale string for a locale category,
  for instance Accessibility_LOCALE_TYPE_MESSAGES.

* New SPI_ROLE_EDITBAR.

* New Accessible_getLocalizedRoleName.

* New AccessibleText_getDefaultAttributes.

* fixes to AccessibleStreamableContent, including a 'seek'
  implementation for cspi.  Thanks to Michael Meeks for some
  related bugfixes in StreamableContent.

* now we emit key-released events to appropriate keylisteners.

* new LINGUAS in configure.in: nn (Asmund Sjeveland), lt (Gediminas Paulauskas),
  no (Kjartan Masass), eu (Christian Rose).

* bugfixes for: #120991, #120473, #118581, #127463, #116009, #114926,
  #125834, #111429, #121974.

What's new in at-spi-1.3.7:

This is the official GNOME 2.4.0 release of at-spi.

* fixed event-name bug, "object:active-descendant" is now 
  "object:active-descendant-changed".

* fixes for 120220, 120725, some code cleanups.  
 
* Improved code that rejects
  spurious "window:activate/deactivate" pairs when X key grabs occur.
  [108664]

* Documentation improvements for SpiAccessibleKeyListenerCB and related.

* new languages: hi, fi, et, mn, nl, is, ja, ro, bn.


What's new in at-spi-1.3.6:

* Add XEvIE support for those systems which have XEvIE.

* Correct values for MODIFIER_SHIFTLOCK and MODIFIER_ALT as part of fix
for bug #118114.

* Store event so that it can subsequently be referred to. Fixes bugs 
#116949 and #116624.

* Add support for AccessibleAction on hyperlink object.

* Defer focus: events to reduce number of window switch events reported.
This a partial fix for bug #108664.

* Eliminate warning messages reported when out-of-process applet starts.
Fixes bug #115014.

* Register out-of-process applet as application only while it has top level
window displayed. This fixes bug #111578.

* Add translations: Simplified Chinese [Yi Yang],  Azerbaijani [Metin Amiroff],
Icelandic [Richard Allen], Italian [Alessio Frusciante], 
Korean [Changwoo Ryu], Danish [Ole Alursen], Albanian [Lauent Dhima],
Malay [Hasbullah Bin Pit], Vietnamese [Pablo Saratxaga],
Belarusian [Belarusian team <i18n@mova.org>], 
Russian [Russian team <gnome-cyr@gnome.org>], Portuguese [Duarte Loreto], 
Slovak [Marcel Telka], Serbian [Serbian team (Prevod.org)]
Esperanto [Charles Voelger], Brazilian [Gustavo Noronha Silva], 
Welsh [Dafydd Harries], Dutch [Vincent van Adrighem], 
Spanish [Pablo Gonzalo del Campo], Polish [Artur Flinta], 
Catalan [Jordi Mallach], French [Chistophe Marlet], 
Hebrew [Gil "Dolfin" Osher], German [Christian Neumair], 
Czech [Miloslav Trmac], Swedish [Christian Rose]

What's new in at-spi-1.3.4:

* require atk 1.3.4 throughout.

* Fix for crasher bug in cspi, exceptions were not being properly 
caught internally.

* added cspi_peek_ev()

* added SPI_ROLE_AUTOCOMPLETE, SPI_STATE_INDETERMINATE (for 
	checkboxes in the 'inconsistent' state)

* initial wrapper implementations for AccessibleStreamableContent.
  (partial)

* implement "string" synthesis type in SPI_generateKeyEvent.

* Added cspi client-side APIs for exception handling.

* bugfixes for #114370,  #113268,  #108664, #92143,  

What's new in at-spi-1.3.2:

* Fix for #113268.

What's new in at-spi-1.3.1:

* Fixes for 109626, 89350, 100424, 100426, 110419, 107261, 107479,
  108666, 104730, 111793.

* build fixes.

* gnome-2-2 branch created.

What's new in at-spi-1.1.9:

* Fixes for 107985, 107988, 105291, 107256, 107254, 105836,
  104622, 105291, 104744, 104741, 101524, 102830, 98120, 94275.

* added support for mouse buttons 4 and 5.

* compiler warning fixes.

What's new in at-spi-1.1.8:

* Added getRangeExtents() and getBoundedRanges() API for more
  efficient screen review [100944].

What's new in at-spi-1.1.7:

* Added spi_keymask values for Mod4 and Mod5.
* Performance improvements and bugfixes from Michael.

What's new in at-spi-1.1.6:

* Fixes for #99799, #10530.

* New methods in cspi:
  'AccessibleEvent_ref' and 'AccessibleEvent_unref'
  to allow lifecycle management of AccessibleEvents outside of
  the emission handler.

What's new in at-spi-1.1.6:

* event struct in libspi is bigger, increased unimplemented
  slot count for sufficient future bincompatible expansion. 
 (WARNING: breaks bincompat for direct CORBA clients. CSPI clients
  not affected.)

* New accessor methods allow state-coherent query of many
  event types.

* API Frozen for GNOME 2.2.

* New role types: APPLICATION, HEADER, FOOTER, PARAGRAPH, RULER.

* New relations, FLOWS_FROM, FLOWS_TO, EMBEDS, EMBEDDED_BY,
	SUBWINDOW_OF.

* New state, MANAGES_DESCENDANTS.  New event, "active-descendant-changed".

* reduced debug output, unless you set AT_SPI_DEBUG environment
  variable to string which parses to an integer value > 0.

* added definitions for SPI_KEYMASK_BUTTON1, etc.

* added SPI_LAYER_WINDOW.

* Added ability to register 'device event listeners' which can
  consume device events, such as mouse events.

* Added support for mouse and key-modifier event notification.

* deprecated KeyEventType in favor of EventType.

* bugfixes for >50 bugs including: 98836, 98842, 97916, 95828, 
	93592, 95940, 95517, 93658, 95055, 94555, 84856.

* updated copyrights to include Ximian.

What's new in at-spi-1.1.0:

* event listener notifications are no longer oneways.
* bugfixes for 84900, 84908, 84897, 84898.
* performance improvement for event listeners.

What's new in at-spi-1.0.1:

* bugfix for 82509

What's new in at-spi-1.0.0:

* API Freeze (1.0 API is now FINAL)
* added boolean return for
Accessibility_Registry_registerKeystrokeListener.
* Revved activation ID for registry to "1.0"
* many bugfixes and improvements to global key listener implementation.
* improvements to regression test "test-simple", added key
listener/synthesis test.
* added sample code in "test" to demonstrate how flat line-mode
screen-review can be implemented with at-spi.

What's new in at-spi-0.13.1:

(note: 0.13.1 is not binary compatible with 0.12.1, clients will need
 to recompile )

* fix for bugzilla bug 80616
* IDL change which will affect direct CORBA users of the keystroke
  listener API
* added a new test harness, event-listener-test, which also
  has a simple tree traversal timing benchmark. event-listener-test
  attaches listeners to all currently supported events (and a few
  events which are not fully implemented yet); it thus serves
  as useful event listener sample code as well as being a diagnostic
  tool. 

What's new in at-spi-0.12.1:

* fixes for bugzilla bugs 78249,68929,76615,71686,72300,78247,72300,78249
  relating to build issues on some architectures (some of these were
  fixed in 0.10 but additional fixes were included in 0.12.1).
* added new test program for our key listener API.
* added implementation of IDL 'exit' method to our
  magnifier and mag_control client.
* Badly broken AccessibleStateSet implementation fixed by
  Marc.
* Added implementation for AccessibleComponent_grabFocus method.
* Improvements to documentation.

API CHANGES:

* Added missing seek_type param in
  AccessibleStreamableContent_seek [78888], 
  previously documented but not in signature;
  this was unused API but needed fixing for the future.

* Added API for AccessibleTable_selectRow and _selectColumn,
  corresponding to similar API in ATK, and provided
  implementation. [76201]

* Added boolean return types to a number of IDL methods whose
  corresponding cspi wrappers and ATK methods already had boolean
  returns.

* Made Accessibility_StateSet inherit from BonoboUnknown as it should;
this was the main existing breakage in StateSet.


=================


TODO API Additions:

getStateName () and STATE_EXTENDED to allow extension of State API (already 
in ATK).

AccessibleAction_getType () and AccessibleAction_getTypeName ().

need getBaseAttributes () 
for AccessibleText (available in ATK I think).

table: getVisibleRange

state: HEADER, etc. for spreadsheet cells


